The hspec-expectations-lens package

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain]

Package adds hspec expectations (`shouldX` things) that work nicely with the "lens" library

Properties

Versions0.1.0.0, 0.2.0.0, 0.2.1.0, 0.2.1.1, 0.3.0.0, 0.3.0.0, 0.4.0
Change logCHANGELOG.md
Dependenciesbase (==4.*), hspec (>=1.8), hspec-expectations (>=0.5), HUnit, lens (>=4.0) [details]
LicenseBSD3
AuthorMatvey Aksenov
Maintainermatvey.aksenov@gmail.com
CategoryTesting
Home pagehttp://supki.github.io/hspec-expectations-lens/
Source repositoryhead: git clone https://github.com/supki/hspec-expectations-lens
this: git clone https://github.com/supki/hspec-expectations-lens(tag 0.3.0.0)
UploadedThu Jan 30 06:17:30 UTC 2014 by MatveyAksenov

Modules

Downloads

Maintainers' corner

For package maintainers and hackage trustees